# List Instance Scores

Returns exposure instance scores for the specified host-exposure pairs.
Duplicate pairs are deduplicated server-side. Unmatched pairs are omitted from the response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example

  • List instance scores
curl -X POST 'https://api.picussecurity.com/v1/exposures/instances/scores' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {
      "host_exposure_pairs": [
        {
          "exposure_id": "CVE-2022-21903",
          "hostname": "asset-001"
        }
      ]
    }
}'
{
  "instance_scores": [
    {
      "asset_criticality": 3.9,
      "asset_id": "asset-001",
      "contextual_cvss": 7.6,
      "cve_id": "CVE-2022-21903",
      "exploitability": 71,
      "picus_exposure_score": 7.2,
      "security_control_effectiveness": "75.0"
    }
  ]
}

Body Params
filters
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json